Fetch event details and decision state
curl --request GET \
--url https://live.voora.ai/event/{eventId} \
--header 'X-CLIENT-API-KEY: <api-key>'import requests
url = "https://live.voora.ai/event/{eventId}"
headers = {"X-CLIENT-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CLIENT-API-KEY': '<api-key>'}};
fetch('https://live.voora.ai/event/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"totalScore": 123,
"state": "<string>",
"eventDate": "2023-11-07T05:31:56Z",
"amount": 123,
"amountInBaseCurrency": 123,
"currency": "<string>",
"baseCurrency": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"shippingCountry": "<string>",
"shippingFullName": "<string>",
"shippingCity": "<string>",
"shippingRegion": "<string>",
"shippingZip": "<string>",
"shippingStreet1": "<string>",
"shippingStreet2": "<string>",
"shippingPhone": "<string>",
"billingCountry": "<string>",
"billingCity": "<string>",
"billingRegion": "<string>",
"billingZip": "<string>",
"billingStreet1": "<string>",
"billingStreet2": "<string>",
"billingPhone": "<string>",
"userIp": "<string>",
"allowlistMatch": true,
"denylistMatch": true,
"userCreated": "2023-12-25",
"userFullName": "<string>",
"comments": "<string>",
"items": [
{
"itemId": "<string>",
"itemName": "<string>",
"itemQuantity": 123,
"itemPrice": 123,
"itemPriceInBaseCurrency": 123,
"itemCategory": "<string>",
"itemSeller": "<string>",
"itemSellerCountry": "<string>",
"itemCurrency": "<string>"
}
]
}{
"requestId": "<string>",
"errorType": "<string>",
"errorCodes": [
"<string>"
]
}{
"requestId": "<string>",
"errorType": "<string>",
"errorCodes": [
"<string>"
]
}{
"requestId": "<string>",
"errorType": "<string>",
"errorCodes": [
"<string>"
]
}{
"requestId": "<string>",
"errorType": "<string>",
"errorCodes": [
"<string>"
]
}{
"requestId": "<string>",
"errorType": "<string>",
"errorCodes": [
"<string>"
]
}{
"requestId": "<string>",
"errorType": "<string>",
"errorCodes": [
"<string>"
]
}Event
Fetch event details and decision state
GET
/
{eventId}
Fetch event details and decision state
Authorizations
API key required in header: X-CLIENT-API-KEY
Path Parameters
Response
OK
ISO 8601 format (UTC) Example: 2026-03-12T14:30:55Z
Show child attributes
Show child attributes
Was this page helpful?